Bug 1250784 - [Docs] [Beta] [Admin] Users can specify default behavior for 'wipe after delete' per storage domain
[Docs] [Beta] [Admin] Users can specify default behavior for 'wipe after dele...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium
: ovirt-3.6.0-rc3
: 3.6.0
Assigned To: Megan Lewis
Tahlia Richardson
docs
:
Depends On: 1073448
Blocks: 1277358
  Show dependency treegraph
 
Reported: 2015-08-05 22:48 EDT by Andrew Dahms
Modified: 2016-02-10 13:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 06:02:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adahms: Triaged+


Attachments (Terms of Use)

  None (edit)
Description Andrew Dahms 2015-08-05 22:48:13 EDT
In RHEV 3.6, it is now possible for users to specify default behavior of the 'wipe after delete' option for virtual disks on a per-storage domain basis.

This must be documented in both the Admin Guide and newly created REST API Guide -

From the Admin Portal, it should be possible to specify this option when creating or editing a data storage domain.

From the REST API, you can specify '<wipe_after_delete>' as an option when creating a storage domain (POST request).

After either of these actions are performed, 'wipe after delete' should be enabled by default for any virtual disks created in the given storage domain.
Comment 1 Allon Mureinik 2015-08-06 03:15:31 EDT
(In reply to Andrew Dahms from comment #0)
> From the REST API, you can specify '<wipe_after_delete>' as an option when
> creating a storage domain (POST request).
> 
> After either of these actions are performed, 'wipe after delete' should be
> enabled by default for any virtual disks created in the given storage domain.

Worth mentioning this property can be edited after the domain is created (either from the GUI or from RESTAPI, with a PUT request). Editing this property does NOT change the wipe-after-delete property of pre-existing disks.
Comment 2 Andrew Dahms 2015-08-23 23:41:58 EDT
Hi Allon,

Thanks for the note - that sounds like great information to include.

Let us know at any time if anything else comes up!

Kind regards,

Andrew
Comment 3 Andrew Dahms 2015-08-23 23:50:00 EDT
Assigning to Megan for review.

Megan - you can see the new check box by going to Storage in the Admin Portal, selecting a storage domain, clicking edit, and expanding the 'Advanced Parameters' disclosure button.

What we will need to do is update each of the four procedures on adding storage domains to include a common sub-procedure that outlines how to (optionally) configure advanced options. The options appear to be the same for all storage domain types (ISO, Export, and Data) and formats (NFS, iSCSI, etc.), so it should be ok to create a block of text in one procedure and copy it to the rest.

Let me know if you have any questions.
Comment 15 Andrew Dahms 2015-11-25 06:02:33 EST
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.